summaryrefslogtreecommitdiff
path: root/xcopy
diff options
context:
space:
mode:
Diffstat (limited to 'xcopy')
-rwxr-xr-xxcopy18
1 files changed, 18 insertions, 0 deletions
diff --git a/xcopy b/xcopy
new file mode 100755
index 0000000..1795526
--- /dev/null
+++ b/xcopy
@@ -0,0 +1,18 @@
+#!/bin/sh
+#
+# Copyright (C) 2023 dwlr <dweller@cabin.digital>
+#
+# BSD 3-Clause License (BSD-3-Clause)
+# See LICENSE for details
+
+set -e
+
+
+{
+ echo "" # TODO: why does it need a \n before the list?
+
+ for i in "$@"; do
+ echo "file://$(realpath ${i})"
+ done
+
+} | xclip -sel clipboard -i -r -t text/uri-list